GET v1/Business/CreatePDFRequestAsync?id={id}&CustomerId={CustomerId}&SupplierId={SupplierId}&Layout={Layout}
Starts a new Request to create a PDF Report for a Business. Will return a PDFAsyncOrderId on success. Use the /v1/Business/GetPDFRequestAsync Endpoint to get the resulting PDF.
Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
BusinessId of the Business to get a Credit Limit for |
integer |
Optional |
| CustomerId |
If you are a Trade Provider you can use your CustomerId to idenfity a Business with the CustomerId parameter. |
string |
Optional |
| SupplierId |
If you have a Supplier List you can use your SupplierId to identify a Business with the SupplierId parameter. |
string |
Optional |
| Layout |
Report layout. Valid values are: Short, Medium, Long. |
string |
Optional Default value is Short |
Response
ObjectNone.
Example
curl -H "Authorization: Bearer {SessionKey}" -X GET https://api.creditriskmonitor.com/v1/Business/RequestPDFAsync?id={BusinessId}
Try It Now
If you do not have a Session Key, you can get one by Logging In.
If you are a Trade Provider you can use your CustomerId to idenfity a Business with the CustomerId parameter.
If you have a Supplier List you can use your SupplierId to identify a Business with the SupplierId parameter.